<%@ LANGUAGE = VBScript %>
<%   Option Explicit %>
<%   Response.Expires= -1 %>
<html>

<!--
Programmer....: Michael Thomas  michael@michael-thomas.com
Original Date.: 9/17/02
Modified......:
Description...: Basic ASP code for quickly displaying all the fields for a query in a table.

-->

<head>
<title>DB Basics: Quickly create a Table of Data (ASP-VBScript)</title>
</head>
<p align="center">
<h1>DB Basics: Quickly create a Table of Data (ASP-VBScript)</h1>
<p>Basic ASP code for quickly displaying all the fields for a query in a table.</p>
<p>See the source code (ASP) for the examples.</p>
<%
  //Example of connecting to a Database.
  Dim dbcnUsers     ' As ADODB.Connection
  Dim strOpenDBInfo ' As String
  
  strOpenDBInfo = "DSN=MyDbAsp;UID=mydbasp;PWD=mydbasp;"

  On Error Resume Next
  Set dbcnUsers = Server.CreateObject("ADODB.Connection")
  if ( Err.Number <> 0 ) Then
    Response.Clear
    Response.Write("Programming error!  Error creating the DB Connection." & "<br>" & vbCrLf )
    Response.End
  End If

  On Error Resume Next
  dbcnUsers.open(strOpenDBInfo)
  if ( Err.Number <> 0 ) Then
    Response.Clear
    Response.Write("Programming error!  DB Login failed: DSN name and/or password is probably incorrect." & "<br>" & vbCrLf )
    Response.End
  End If

%>

<%
  //Example of running a SQL query.
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String
 
  strSql = "select * from users " _
           & "order by username"

  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

%>
<hr>
<p>SQL Query executed: <%= strSql%></p>
<hr>
<p>Example: Create a table based on the fields of a query.</p>

<%
  response.write( "<table border='1'>"  )

  Dim itemColumn
  Response.Write("<tr>" & vbCrLf )
  For Each itemColumn in rsUsers.Fields
    Response.Write("<td>" & itemColumn.name & "</td>" & vbCrLf )
  Next
  Response.Write("</tr>" & vbCrLf )

  
  Do While Not rsUsers.EOF

    Response.Write("<tr>" & vbCrLf )
    For Each itemColumn in rsUsers.Fields
      Response.Write("<td>" & rsUsers(itemColumn.name) & "</td>" & vbCrLf )
    Next
    Response.Write("</tr>" & vbCrLf )

    rsUsers.MoveNext
  Loop
  
  response.write( "</table>" )

%>
<hr>
<p>Column Names and Example data:  (Collection: Fields)</p>
<%
Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet
Dim itemCol
For Each itemCol in rsUsers.Fields
  Response.Write(itemCol.name & " = " & itemCol & "</br>" & vbCrLf )
Next
%>
<hr>
<p>Record Set Properties:  (Collection: Properties)</p>
<%
Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet
Dim itemColB
For Each itemColB in rsUsers.Properties
  Response.Write(itemColB.name &	 " = " & itemColB & "</br>" & vbCrLf )
Next
%>
<hr>
<%
' Notes:
' Connection Object - Collections: Errors, Properties
' Command Object (for stored procedures) - Collections: Parameters, Properties
%>

<%
  rsUsers.Close
  Set rsUsers = Nothing
  dbcnUsers.Close
  Set dbcnUsers = Nothing
%>

</html>